Skip to main content
POST
/
api
/
v2
/
orders
/
anti-ai
cURL
curl -X POST https://morimori.app/api/v2/orders/anti-ai \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "idempotencyKey": "key-001",
    "files": [
      {"fileName": "image1.jpg"},
      {"fileName": "image2.png"}
    ],
    "options": {"strength": "high"}
  }'
{
  "data": {
    "orderName": "anti_ai_2026-02-09",
    "orderId": "123456789",
    "status": "pending",
    "files": [
      {
        "fileId": 1,
        "fileName": "image1.jpg",
        "uploadUrl": "https://s3.amazonaws.com/...",
        "fileKey": "temp/123456789/0/image1.jpg"
      }
    ]
  }
}

Download order results

Once your order reaches complete status, use the Get download URL endpoint to retrieve a presigned download URL:
curl -X GET https://morimori.app/api/v2/orders/{orderId}/download \
  -H "Authorization: Bearer YOUR_API_TOKEN"
Order files are available for download for up to 7 days after order creation. After 7 days, the order transitions to expired status and files can no longer be downloaded.

Authorizations

Authorization
string
header
required

API Key for external client access

Body

application/json
idempotencyKey
string
required

Idempotency key to prevent duplicate requests

files
object[]
required
Required array length: 1 - 100 elements
orderName
string

Order name (optional, auto-generated if not provided)

Maximum string length: 64
mode
object

Processing mode settings

outputTargets
object[]

Output upload targets for Zero Copy mode (required when mode.zeroCopy is true)

options
object

Response

Order created successfully

data
object